Index: omalloc/configure
===================================================================
--- omalloc/configure	(revision 5dab69d5a393466d9560045523c22692fb9c1323)
+++ omalloc/configure	(revision 1d905d1bbdfa6c6984a3b1c3605a26eefca38299)
@@ -1818,4 +1818,9 @@
 fi
 
+# can not really handle pagesizes which are greater -- there must be a 
+# bug somewhere
+if test $ac_cv_pagesize -gt 8192; then
+  ac_cv_pagesize=8192
+fi
 echo "$ac_t""$ac_cv_pagesize" 1>&6
 if test "$ac_cv_pagesize" = 4096 || test "$ac_cv_pagesize" = 8192; then
@@ -1830,5 +1835,5 @@
 if test "$ac_cv_func_mmap" = yes; then
 echo $ac_n "checking whether mmap works""... $ac_c" 1>&6
-echo "configure:1833: checking whether mmap works" >&5
+echo "configure:1838: checking whether mmap works" >&5
 if eval "test \"`echo '$''{'ac_cv_working_mmap'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -1838,5 +1843,5 @@
 else
   cat > conftest.$ac_ext <<EOF
-#line 1841 "configure"
+#line 1846 "configure"
 #include "confdefs.h"
 
@@ -1850,5 +1855,5 @@
 }
 EOF
-if { (eval echo configure:1853: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:1858: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_working_mmap=yes
@@ -1874,5 +1879,5 @@
 
 echo $ac_n "checking whether alignment needs to be strict""... $ac_c" 1>&6
-echo "configure:1877: checking whether alignment needs to be strict" >&5
+echo "configure:1882: checking whether alignment needs to be strict" >&5
 if eval "test \"`echo '$''{'ac_cv_align_need_strict'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -1882,5 +1887,5 @@
 else
   cat > conftest.$ac_ext <<EOF
-#line 1885 "configure"
+#line 1890 "configure"
 #include "confdefs.h"
  
@@ -1897,5 +1902,5 @@
 
 EOF
-if { (eval echo configure:1900: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:1905: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_align_need_strict=no
@@ -1914,5 +1919,5 @@
 
 echo $ac_n "checking for external config files""... $ac_c" 1>&6
-echo "configure:1917: checking for external config files" >&5
+echo "configure:1922: checking for external config files" >&5
 if test "${with_external_config_h+set}" = set; then
     cat >> confdefs.h <<\EOF
@@ -1940,5 +1945,5 @@
 
 echo $ac_n "checking which malloc to use""... $ac_c" 1>&6
-echo "configure:1943: checking which malloc to use" >&5
+echo "configure:1948: checking which malloc to use" >&5
 if test "${with_malloc}" = system; then
   OM_MALLOC_HEADER=omMallocSystem.h
@@ -1977,5 +1982,5 @@
 
 echo $ac_n "checking whether malloc provides SizeOfAddr""... $ac_c" 1>&6
-echo "configure:1980: checking whether malloc provides SizeOfAddr" >&5
+echo "configure:1985: checking whether malloc provides SizeOfAddr" >&5
 if test "${ac_cv_malloc_sizeof_addr}" = no; then
   echo "$ac_t""(cached) no" 1>&6
@@ -1987,5 +1992,5 @@
 else
   cat > conftest.$ac_ext <<EOF
-#line 1990 "configure"
+#line 1995 "configure"
 #include "confdefs.h"
 
@@ -2004,5 +2009,5 @@
 
 EOF
-if { (eval echo configure:2007: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:2012: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_malloc_sizeof_addr="${OM_MALLOC_HEADER}_${OM_MALLOC_SOURCE}"
@@ -2052,5 +2057,5 @@
 
 echo $ac_n "checking whether working valloc exists""... $ac_c" 1>&6
-echo "configure:2055: checking whether working valloc exists" >&5
+echo "configure:2060: checking whether working valloc exists" >&5
 if test "${ac_cv_working_valloc}" = no; then
   echo "$ac_t""(cached) no" 1>&6
@@ -2062,5 +2067,5 @@
 else
   cat > conftest.$ac_ext <<EOF
-#line 2065 "configure"
+#line 2070 "configure"
 #include "confdefs.h"
 
@@ -2080,5 +2085,5 @@
 
 EOF
-if { (eval echo configure:2083: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:2088: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_working_valloc="${OM_MALLOC_HEADER}_${OM_MALLOC_SOURCE}"
@@ -2100,5 +2105,5 @@
 
 echo $ac_n "checking which valloc to use""... $ac_c" 1>&6
-echo "configure:2103: checking which valloc to use" >&5
+echo "configure:2108: checking which valloc to use" >&5
 if test "${with_valloc+set}" != set || test "${with_valloc}" = mmap; then
   if test "${ac_cv_working_mmap}" = yes; then
@@ -2125,5 +2130,5 @@
 
 echo $ac_n "checking whether to emulate omalloc""... $ac_c" 1>&6
-echo "configure:2128: checking whether to emulate omalloc" >&5
+echo "configure:2133: checking whether to emulate omalloc" >&5
 if test "${with_emulate_omalloc}" = yes; then
   cat >> confdefs.h <<\EOF
@@ -2137,5 +2142,5 @@
 
 echo $ac_n "checking how to align""... $ac_c" 1>&6
-echo "configure:2140: checking how to align" >&5
+echo "configure:2145: checking how to align" >&5
 if test "$with_align" = 8 || test "$ac_cv_sizeof_long" = 8; then
   ac_cv_align=8
@@ -2158,5 +2163,5 @@
 
 echo $ac_n "checking whether to use dense bins""... $ac_c" 1>&6
-echo "configure:2161: checking whether to use dense bins" >&5
+echo "configure:2166: checking whether to use dense bins" >&5
 if test "$with_dense_bins" = yes; then
 echo "$ac_t""yes" 1>&6
@@ -2170,5 +2175,5 @@
 
 echo $ac_n "checking whether to disable debugging""... $ac_c" 1>&6
-echo "configure:2173: checking whether to disable debugging" >&5
+echo "configure:2178: checking whether to disable debugging" >&5
 if test "$with_debug" != no; then
 echo "$ac_t""no" 1>&6
@@ -2183,5 +2188,5 @@
 
 echo $ac_n "checking whether to have tracking debug functionality""... $ac_c" 1>&6
-echo "configure:2186: checking whether to have tracking debug functionality" >&5
+echo "configure:2191: checking whether to have tracking debug functionality" >&5
 if test "$with_track" != no; then
 echo "$ac_t""yes" 1>&6
@@ -2195,5 +2200,5 @@
 
 echo $ac_n "checking whether to use internal debug""... $ac_c" 1>&6
-echo "configure:2198: checking whether to use internal debug" >&5
+echo "configure:2203: checking whether to use internal debug" >&5
 if test "$with_internal_debug" = yes; then
 echo "$ac_t""yes" 1>&6
@@ -2208,5 +2213,5 @@
 
 echo $ac_n "checking whether to inline""... $ac_c" 1>&6
-echo "configure:2211: checking whether to inline" >&5
+echo "configure:2216: checking whether to inline" >&5
 if test "$ac_cv_c_inline" != no && test "$with_inline" != no; then
   cat >> confdefs.h <<EOF
@@ -2244,5 +2249,5 @@
 
 echo $ac_n "checking whether GET_RET_ADDR works""... $ac_c" 1>&6
-echo "configure:2247: checking whether GET_RET_ADDR works" >&5
+echo "configure:2252: checking whether GET_RET_ADDR works" >&5
 if eval "test \"`echo '$''{'ac_cv_get_return_addr_works'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -2252,5 +2257,5 @@
 else
   cat > conftest.$ac_ext <<EOF
-#line 2255 "configure"
+#line 2260 "configure"
 #include "confdefs.h"
 
@@ -2268,5 +2273,5 @@
 
 EOF
-if { (eval echo configure:2271: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:2276: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_get_return_addr_works=yes
@@ -2291,5 +2296,5 @@
 
 echo $ac_n "checking whether omGetBackTrace works""... $ac_c" 1>&6
-echo "configure:2294: checking whether omGetBackTrace works" >&5
+echo "configure:2299: checking whether omGetBackTrace works" >&5
 if eval "test \"`echo '$''{'ac_cv_get_backtrace_works'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -2299,5 +2304,5 @@
 else
   cat > conftest.$ac_ext <<EOF
-#line 2302 "configure"
+#line 2307 "configure"
 #include "confdefs.h"
 
@@ -2320,5 +2325,5 @@
 
 EOF
-if { (eval echo configure:2323: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:2328: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_get_backtrace_works=yes
@@ -2343,5 +2348,5 @@
 
 echo $ac_n "checking whether addr2line works""... $ac_c" 1>&6
-echo "configure:2346: checking whether addr2line works" >&5
+echo "configure:2351: checking whether addr2line works" >&5
 if eval "test \"`echo '$''{'ac_cv_prog_addr2line_works'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -2351,5 +2356,5 @@
 else
   cat > conftest.$ac_ext <<EOF
-#line 2354 "configure"
+#line 2359 "configure"
 #include "confdefs.h"
 
@@ -2384,5 +2389,5 @@
 
 EOF
-if { (eval echo configure:2387: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:2392: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_prog_addr2line_works=yes
@@ -2401,5 +2406,5 @@
   
 echo $ac_n "checking whether to track return addresses""... $ac_c" 1>&6
-echo "configure:2404: checking whether to track return addresses" >&5
+echo "configure:2409: checking whether to track return addresses" >&5
 if test "$with_track_return" = no || test "$ac_cv_get_return_addr_works" = no || test "$ac_cv_prog_addr2line_works" != yes; then
   with_track_return=no
@@ -2414,5 +2419,5 @@
 
 echo $ac_n "checking whether to track files and line numbers""... $ac_c" 1>&6
-echo "configure:2417: checking whether to track files and line numbers" >&5
+echo "configure:2422: checking whether to track files and line numbers" >&5
 if test "$with_track_fl" = no && test "$with_track_return" = no; then
   with_track_fl=yes
@@ -2434,5 +2439,5 @@
 
 echo $ac_n "checking whether to track stack backtraces""... $ac_c" 1>&6
-echo "configure:2437: checking whether to track stack backtraces" >&5
+echo "configure:2442: checking whether to track stack backtraces" >&5
 if test "$with_track" != no && test "$ac_cv_get_backtrace_works" = yes && test "$with_track_backtrace" != no && test "$ac_cv_prog_addr2line_works" = yes; then
   with_track_backtrace=yes
@@ -2447,5 +2452,5 @@
 
 echo $ac_n "checking whether to track custom values""... $ac_c" 1>&6
-echo "configure:2450: checking whether to track custom values" >&5  
+echo "configure:2455: checking whether to track custom values" >&5  
 if test "$with_track" != no && test "$with_track_custom" = yes; then
   cat >> confdefs.h <<\EOF
Index: omalloc/configure.in
===================================================================
--- omalloc/configure.in	(revision 5dab69d5a393466d9560045523c22692fb9c1323)
+++ omalloc/configure.in	(revision 1d905d1bbdfa6c6984a3b1c3605a26eefca38299)
@@ -4,5 +4,5 @@
 dnl Author:  obachman@mathematik.uni-kl.de (Olaf Bachmann)
 dnl Created: 11/99
-dnl Version: $Id: configure.in,v 1.10 2000-12-15 08:44:28 obachman Exp $
+dnl Version: $Id: configure.in,v 1.11 2000-12-21 14:26:06 obachman Exp $
 dnl lllllllllllllllllllllllllllllllllllllllllllllllllllllllllllllllllllll
 
@@ -161,4 +161,9 @@
   exit(0);
 }], ac_cv_pagesize=`cat conftestval`, ac_cv_pagesize=0, ac_cv_pagesize=0))
+# can not really handle pagesizes which are greater -- there must be a 
+# bug somewhere
+if test $ac_cv_pagesize -gt 8192; then
+  ac_cv_pagesize=8192
+fi
 AC_MSG_RESULT($ac_cv_pagesize)
 if test "$ac_cv_pagesize" = 4096 || test "$ac_cv_pagesize" = 8192; then
